Class | Chef::Knife::CookbookSiteInstall
In: | lib/chef/knife/cookbook_site_install.rb
Parent: | Knife

### Methods

clear_existing_files download_cookbook_to extract_cookbook parse_name_args! run

### Attributes

cookbook_name | [R] |
vendor_path | [R] |

### Public Instance methods

clear_existing_files(cookbook_path)
download_cookbook_to(download_path)
extract_cookbook(upstream_file, version)
parse_name_args!()
run()

[Validate]